rstatus:
  cli:
    users:
      - root
    require_rpc: any
  help: "Get registration status"

register:
  return_type: NoItemsAndEulaAgentResponse
  cli:
    users:
      - root
    require_rpc: any
  type: dict
  help: "Register the agent"
  schema:
    regkey:
      envvar: "REG_KEY"
      type: string
      default: "IPL"
      isascii: true
      positional: true
      help: "Registration key or 'IPL' word (if you registered by IP)"

unregister:
  cli:
    users:
      - root
    require_rpc: any
  help: "Unregister the agent"

update-license:
  cli:
    users:
      - root
    require_rpc: any
  help: "Force update license"
